View Issue Details

IDProjectCategoryView StatusLast Update
0000048OpenMPT[All Projects] Feature Requestpublic2017-05-06 15:33
ReporterharbingerAssigned ToSaga Musix 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionOpenMPT 1.27.01.00 (upcoming stable)Fixed in VersionOpenMPT 1.27.01.00 (upcoming stable) 
Summary0000048: New Amplify Function
Description

Often i'd like to ramp amplification from x% to y% of the given values. This would be a helpful change to the present function, which allows Fades, but only to or from 0%. (I will look later to see if i can derive the necessary code, unless someone else gets to this first....Nope after looking, it looks a little too complicated for me to tinker with. It's not a simple dialog implementation -- probably because it works for two different functions.)
Attached is the mockup for the new Amplify dialog i envision.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Activities

harbinger

harbinger

2010-12-02 20:53

reporter  

NewAmpify.PNG (4,420 bytes)
NewAmpify.PNG (4,420 bytes)
rakib

rakib

2011-08-02 01:27

reporter   ~0000293

I would set this priority to low, for such exact fading I would rather recommend using a wave editor.

jmkz

jmkz

2011-08-02 17:05

reporter   ~0000304

At some point I wish this feature. I would use a feature like this several times. Is not for a exact fading, I guess that is something like a (f.e.) "slight" fade-in/out instead of modyfing a sample.

I understad like this: http://paste2.org/p/1558747

In 1st & 2nd channel are applied a standard fade in/out, but I guess he means for a starting volume fading like the 4th channel and so for the fade out, start fade in from v48 (f.e.) and stop on fadeout on v16.

I consider this feature useful rather than assign a lower priority.

harbinger

harbinger

2011-08-03 13:49

reporter   ~0000307

I would also like to add a secondary request -- linear or logarithmic fading, which would apply a calculation to how the fade approaches it's target value.

BTW, this is mostly for fading interpolated values in the PE, but can be applied to sample data values too.

jmkz

jmkz

2011-08-03 21:37

reporter   ~0000309

Mmm... I guess that is in some way similar to http://bugs.openmpt.org/view.php?id=32 get those features also available at both vol & efx column.

harbinger

harbinger

2013-01-03 20:06

reporter   ~0001026

Instead of starting a new thread, i'll think i'll just attach a further request to this one in case it gets worked on later.

I went back to work on an old piano suite, and found that the VSTi was being played too loudly, affecting the dynamics of each note. I had volume commands on every note, so i wanted to lessen these values. I found to my chagrin that there's not an Amplify function for all channels in all patterns. Even the Find/Replace dialog does not offer a percentage or value modifier in its functions. Of course i didn't want to reduce the volume per se, so using the volume sliders in the General tab wouldn't have been useful.

We could definitely use a modification to either the Amplify dialog or the Find/Replace dialog. If scripting is far away, perhaps we could incorporate such a feature...

Saga Musix

Saga Musix

2017-05-06 15:33

administrator   ~0003017

Implemented in r8137 / OpenMPT 1.27.00.46.

Issue History

Date Modified Username Field Change
2010-12-02 20:53 harbinger New Issue
2010-12-02 20:53 harbinger File Added: NewAmpify.PNG
2010-12-02 20:55 harbinger Summary New Amplify Function => New Amplify Function (delete 47)
2010-12-02 21:27 Saga Musix Priority low => normal
2010-12-02 21:27 Saga Musix OS XP =>
2010-12-02 21:27 Saga Musix Platform Windows =>
2010-12-02 21:27 Saga Musix Summary New Amplify Function (delete 47) => New Amplify Function
2011-08-02 01:27 rakib Note Added: 0000293
2011-08-02 17:05 jmkz Note Added: 0000304
2011-08-03 13:49 harbinger Note Added: 0000307
2011-08-03 21:37 jmkz Note Added: 0000309
2013-01-03 20:06 harbinger Note Added: 0001026
2015-10-21 18:59 Saga Musix Assigned To => Saga Musix
2015-10-21 18:59 Saga Musix Status new => assigned
2017-05-06 15:33 Saga Musix Status assigned => resolved
2017-05-06 15:33 Saga Musix Resolution open => fixed
2017-05-06 15:33 Saga Musix Fixed in Version => OpenMPT 1.27.01.00 (upcoming stable)
2017-05-06 15:33 Saga Musix Target Version => OpenMPT 1.27.01.00 (upcoming stable)
2017-05-06 15:33 Saga Musix Note Added: 0003017